Support » Requests and Feedback » auto-upgrade issue

  • Have not had this problem before.

    Current automatic upgrade is breaking my wordpress installs, almost every time.

    Have never had this problem before.

    Happened this time with a sufussion themed site, but not sure if that is the issue.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Here is error message:

    “Fatal error: Call to undefined function get_option() in

    /home/xyz/public_html/xyz/wp-admin/admin.php on line 22 ”

    Moderator James Huff

    (@macmanx)

    I think your topic title is quite a bit misleading, as there’d certainly be far more complaints if this was a blanket case.

    More than likely, it’s either a plugin or theme conflict, or a corrupt file.

    Try manually resetting your plugins. If that resolves the issue, reactivate each one individually until you find the cause.

    If that does not resolve the issue, access your server via FTP or SFTP, navigate to /wp-content/themes/ and rename the directory of your currently active theme. This will force the Twenty Ten theme to activate and hopefully rule-out a theme-specific issue.

    If neither of those work, try downloading WordPress again and delete then replace your copies of everything except the wp-config.php file and the /wp-content/ directory with fresh copies from the download. This will effectively replace all of your core files without damaging your content and settings. Some uploaders tend to be unreliable when overwriting files, so don’t forget to delete the original files before replacing them.

    mrmist

    (@mrmist)

    Forum Janitor

    I think your topic title is quite a bit misleading, as there’d certainly be far more complaints if this was a blanket case

    I agree. Edited.

    This is most likely a plugin or theme issue.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘auto-upgrade issue’ is closed to new replies.